## surgescript 0.5.4

=== CMakeLists.txt ===
# ------------------------------------------------------------------------------
# SurgeScript
# A scripting language for games
# Copyright 2016-2019 Alexandre Martins <alemartf(at)gmail(dot)com>
# ------------------------------------------------------------------------------

# Project info
cmake_minimum_required(VERSION 3.0.2)
project(surgescript LANGUAGES C)
set(CMAKE_C_STANDARD 99)

# Sources
set(
    SURGESCRIPT_SOURCES
    src/surgescript/compiler/asm.c
    src/surgescript/compiler/lexer.c
    src/surgescript/compiler/parser.c
    src/surgescript/compiler/symtable.c
    src/surgescript/compiler/token.c
    src/surgescript/runtime/heap.c
    src/surgescript/runtime/object.c
    src/surgescript/runtime/object_manager.c
    src/surgescript/runtime/program.c
    src/surgescript/runtime/program_pool.c
    src/surgescript/runtime/renv.c
    src/surgescript/runtime/sslib/application.c
    src/surgescript/runtime/sslib/arguments.c
    src/surgescript/runtime/sslib/array.c
    src/surgescript/runtime/sslib/boolean.c
    src/surgescript/runtime/sslib/console.c
    src/surgescript/runtime/sslib/date.c
    src/surgescript/runtime/sslib/dictionary.c
    src/surgescript/runtime/sslib/gc.c
    src/surgescript/runtime/sslib/math.c
    src/surgescript/runtime/sslib/number.c
    src/surgescript/runtime/sslib/object.c
    src/surgescript/runtime/sslib/plugin.c
    src/surgescript/runtime/sslib/string.c
    src/surgescript/runtime/sslib/surgescript.c
    src/surgescript/runtime/sslib/system.c
    src/surgescript/runtime/sslib/tags.c
    src/surgescript/runtime/sslib/temp.c
    src/surgescript/runtime/sslib/time.c
    src/surgescript/runtime/stack.c
    src/surgescript/runtime/tag_system.c
    src/surgescript/runtime/variable.c
    src/surgescript/runtime/vm.c
    src/surgescript/util/transform.c
    src/surgescript/util/utf8.c
    src/surgescript/util/util.c
    src/surgescript/util/xoroshiro128plus.c
)

# Headers
set(
    SURGESCRIPT_HEADERS
    src/surgescript/compiler/asm.h
    src/surgescript/compiler/lexer.h
    src/surgescript/compiler/nodecontext.h
    src/surgescript/compiler/parser.h
    src/surgescript/compiler/symtable.h
    src/surgescript/compiler/token.h
    src/surgescript/runtime/heap.h
    src/surgescript/runtime/object.h
    src/surgescript/runtime/object_manager.h
    src/surgescript/runtime/program.h
    src/surgescript/runtime/program_operators.h
    src/surgescript/runtime/program_pool.h
    src/surgescript/runtime/renv.h
    src/surgescript/runtime/sslib/sslib.h
    src/surgescript/runtime/stack.h
    src/surgescript/runtime/tag_system.h
    src/surgescript/runtime/variable.h
    src/surgescript/runtime/vm.h
    src/surgescript/util/fasthash.h
    src/surgescript/util/ssarray.h
    src/surgescript/util/transform.h
    src/surgescript/util/utf8.h
    src/surgescript/util/uthash.h
    src/surgescript/util/util.h
    src/surgescript.h
)

# Output folder
set(CMAKE_BINARY_DIR ${CMAKE_SOURCE_DIR})
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

# Library
add_library(surgescript STATIC ${SURGESCRIPT_SOURCES} ${SURGESCRIPT_HEADERS})
target_link_libraries(surgescript m)

# Executable
add_executable(surgescript.bin src/main.c)
target_link_libraries(surgescript.bin surgescript)
target_include_directories(surgescript.bin PRIVATE src)
set_target_properties(surgescript.bin PROPERTIES OUTPUT_NAME surgescript)

# Windows icon
if(WIN32 AND MINGW)
    if(NOT CMAKE_RC_COMPILER)
        set(CMAKE_RC_COMPILER windres)
    endif()
    execute_process(COMMAND "${CMAKE_RC_COMPILER}" -O coff -o "${CMAKE_CURRENT_BINARY_DIR}/iconwin.res" -i "${CMAKE_SOURCE_DIR}/src/surgescript/resources/iconwin.rc" -I "${CMAKE_SOURCE_DIR}")
    set_target_properties(surgescript.bin PROPERTIES LINK_FLAGS "-static-libgcc \"${CMAKE_CURRENT_BINARY_DIR}/iconwin.res\"")
endif()

# Installation rules
install(DIRECTORY src/ DESTINATION include FILES_MATCHING PATTERN "*.h")
install(TARGETS surgescript DESTINATION lib)
install(TARGETS surgescript.bin DESTINATION bin)

=== debian/changelog ===
surgescript (0.5.4-1) unstable; urgency=medium

  * Initial release (Closes: #945104)

 -- Carlos Donizete Froes <coringao@riseup.net>  Mon, 18 Nov 2019 18:38:40 -0300

=== debian/control ===
Source: surgescript
Section: graphics
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: cmake, debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://docs.opensurge2d.org
Vcs-Browser: https://salsa.debian.org/games-team/surgescript
Vcs-Git: https://salsa.debian.org/games-team/surgescript.git

Package: surgescript
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Scripting language for games
 Unleash your creativity! With SurgeScript, you unleash your creativity
 and create your own amazing interactive content.
 .
 Unlike other programming languages, SurgeScript is designed with the specific
 needs of games in mind.
 .
 Easy for beginners, powerful for experts. Object-oriented, dynamically typed
 and based on state machines.
 .
 These features come from the experience of the developer dealing with
 game engines, applications related to computer graphics and so on.
 .
 Some of the best practices have been incorporated into the language itself,
 making things really easy for developers and modders.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	# Remove empty directory (usr/include/surgescript/resources)
	find debian/surgescript/usr/include/surgescript/resources -type d -empty -delete

## surgescript 0.5.4.2

=== debian/changelog ===
surgescript (0.5.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Changed section to games.
    + Declare compliance with Debian Policy: 4.5.0.
  * Updated debian/copyright years.
  * debian/docs:
    + README.md file included.
  * debian/rules:
    + Changed to override_dh_auto_install.
    - Cleared some comments.
    + Reduced command to directory.
    + Used dh_install.
    + Added DEB_HOST_MULTIARCH variable.
    + Added dh_compress so that certain files are not compressed.
  * Update debian/upstream/metadata years.

 -- Carlos Donizete Froes <coringao@riseup.net>  Sat, 15 Feb 2020 05:10:34 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: surgescript
-Section: graphics
+Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
 Build-Depends: cmake, debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://docs.opensurge2d.org
 Vcs-Browser: https://salsa.debian.org/games-team/surgescript

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	find debian/ -name resources -type d -empty -delete
	dh_install -p surgescript surgescript usr/games
	dh_install -p surgescript src/surgescript.h usr/include
	dh_install -p surgescript src/surgescript/compiler/*.h usr/include/surgescript/compiler
	dh_install -p surgescript src/surgescript/util/*.h usr/include/surgescript/util
	dh_install -p surgescript src/surgescript/runtime/*.h usr/include/surgescript/runtime
	dh_install -p surgescript src/surgescript/runtime/sslib/*.h usr/include/surgescript/runtime/sslib
	dh_install -p surgescript libsurgescript.a usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_compress:
	dh_compress -X.ss

## surgescript 0.5.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,43 @@
 # ------------------------------------------------------------------------------
 # SurgeScript
 # A scripting language for games
-# Copyright 2016-2019 Alexandre Martins <alemartf(at)gmail(dot)com>
+# Copyright 2016-2020 Alexandre Martins <alemartf(at)gmail(dot)com>
 # ------------------------------------------------------------------------------
 
 # Project info
-cmake_minimum_required(VERSION 3.0.2)
-project(surgescript LANGUAGES C)
+cmake_minimum_required(VERSION 3.2)
+project(
+    surgescript
+    VERSION 0.5.4.4
+    LANGUAGES C
+)
+
+# Default config
 set(CMAKE_C_STANDARD 99)
+if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
+    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build: Debug | Release | MinSizeRel | RelWithDebInfo" FORCE)
+    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
+endif()
+if(UNIX AND CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+  set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Install path prefix (prepended onto install directories)" FORCE)
+endif()
+
+# User options
+option(WANT_SHARED "Build SurgeScript as a shared library" ON)
+option(WANT_STATIC "Build SurgeScript as a static library" ON)
+option(WANT_EXECUTABLE "Build the surgescript executable" ON)
+set(LIB_SUFFIX "" CACHE STRING "Suffix to append to 'lib' directories, e.g., '64'") # libs must be installed to "lib64" in some systems
+set(PKGCONFIG_PATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig" CACHE PATH "Destination folder of the pkg-config (.pc) file")
+if(UNIX)
+    set(METAINFO_PATH "/usr/share/metainfo" CACHE PATH "Destination folder of the metainfo file")
+    set(ICON_PATH "/usr/share/pixmaps" CACHE PATH "Destination folder of the icon file")
+    file(TO_CMAKE_PATH "${ICON_PATH}/surgescript.png" ICON_FILEPATH)
+endif()
+
+# Output folder
+set(CMAKE_BINARY_DIR ${CMAKE_SOURCE_DIR})
+set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
+set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})
 
 # Sources
 set(
@@ -49,6 +79,7 @@
     src/surgescript/util/utf8.c
     src/surgescript/util/util.c
     src/surgescript/util/xoroshiro128plus.c
+    ${CMAKE_CURRENT_BINARY_DIR}/info.c
 )
 
 # Headers
@@ -81,31 +112,79 @@
     src/surgescript.h
 )
 
-# Output folder
-set(CMAKE_BINARY_DIR ${CMAKE_SOURCE_DIR})
-set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
-set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})
+# Generate files from templates
+function(generate_file TEMPLATE)
+    configure_file(src/surgescript/misc/${TEMPLATE}.in ${TEMPLATE} @ONLY)
+endfunction()
+
+function(generate_pc_file LINKAGE)
+    set(LIB_LINKAGE "")
+    if(LINKAGE STREQUAL "static")
+        set(LIB_LINKAGE "-static")
+    endif()
+    configure_file(src/surgescript/misc/surgescript.pc.in "${LIBRARY_OUTPUT_PATH}/surgescript${LIB_LINKAGE}.pc" @ONLY)
+    install(FILES "${LIBRARY_OUTPUT_PATH}/surgescript${LIB_LINKAGE}.pc" DESTINATION "${PKGCONFIG_PATH}")
+endfunction()
+
+generate_file("info.c")
+
 
 # Library
-add_library(surgescript STATIC ${SURGESCRIPT_SOURCES} ${SURGESCRIPT_HEADERS})
-target_link_libraries(surgescript m)
+if(NOT WANT_SHARED AND NOT WANT_STATIC)
+    message(FATAL_ERROR "Options WANT_SHARED and WANT_STATIC are both set to OFF. Nothing to do.")
+endif()
+
+if(WANT_SHARED)
+    message(STATUS "Will build libsurgescript")
+    generate_pc_file("shared")
+    add_library(surgescript SHARED ${SURGESCRIPT_SOURCES} ${SURGESCRIPT_HEADERS})
+    target_link_libraries(surgescript m)
+    set_target_properties(surgescript PROPERTIES VERSION ${PROJECT_VERSION})
+    install(TARGETS surgescript DESTINATION "lib${LIB_SUFFIX}")
+endif()
+
+if(WANT_STATIC)
+    message(STATUS "Will build libsurgescript-static")
+    generate_pc_file("static")
+    add_library(surgescript-static STATIC ${SURGESCRIPT_SOURCES} ${SURGESCRIPT_HEADERS})
+    target_link_libraries(surgescript-static m)
+    set_target_properties(surgescript-static PROPERTIES VERSION ${PROJECT_VERSION})
+    install(TARGETS surgescript-static DESTINATION "lib${LIB_SUFFIX}")
+endif()
+
+install(DIRECTORY src/ DESTINATION include FILES_MATCHING PATTERN "*.h") # installing the headers
 
 # Executable
-add_executable(surgescript.bin src/main.c)
-target_link_libraries(surgescript.bin surgescript)
-target_include_directories(surgescript.bin PRIVATE src)
-set_target_properties(surgescript.bin PROPERTIES OUTPUT_NAME surgescript)
+if(WANT_EXECUTABLE)
+    # Set the appropriate lib
+    set(LIBSURGESCRIPT "surgescript")
+    if(WANT_STATIC AND (NOT WANT_SHARED OR WIN32))
+        set(LIBSURGESCRIPT "surgescript-static")
+    endif()
 
-# Windows icon
-if(WIN32 AND MINGW)
-    if(NOT CMAKE_RC_COMPILER)
-        set(CMAKE_RC_COMPILER windres)
+    # Create the executable
+    message(STATUS "Will build surgescript")
+    add_executable(surgescript.bin src/main.c)
+    target_link_libraries(surgescript.bin ${LIBSURGESCRIPT})
+    target_include_directories(surgescript.bin PRIVATE src)
+    set_target_properties(surgescript.bin PROPERTIES OUTPUT_NAME surgescript)
+
+    # Windows icon
+    if(WIN32 AND MINGW)
+        if(NOT CMAKE_RC_COMPILER)
+            set(CMAKE_RC_COMPILER windres)
+        endif()
+        execute_process(COMMAND "${CMAKE_RC_COMPILER}" -O coff -o "${CMAKE_CURRENT_BINARY_DIR}/iconwin.res" -i "${CMAKE_SOURCE_DIR}/src/surgescript/misc/iconwin.rc" -I "${CMAKE_SOURCE_DIR}")
+        set_target_properties(surgescript.bin PROPERTIES LINK_FLAGS "-static-libgcc \"${CMAKE_CURRENT_BINARY_DIR}/iconwin.res\"")
     endif()
-    execute_process(COMMAND "${CMAKE_RC_COMPILER}" -O coff -o "${CMAKE_CURRENT_BINARY_DIR}/iconwin.res" -i "${CMAKE_SOURCE_DIR}/src/surgescript/resources/iconwin.rc" -I "${CMAKE_SOURCE_DIR}")
-    set_target_properties(surgescript.bin PROPERTIES LINK_FLAGS "-static-libgcc \"${CMAKE_CURRENT_BINARY_DIR}/iconwin.res\"")
+
+    # *nix metadata & icon
+    if(UNIX)
+        generate_file("surgescript.appdata.xml")
+        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/surgescript.appdata.xml DESTINATION "${METAINFO_PATH}")
+        install(FILES src/surgescript/misc/surgescript.png DESTINATION "${ICON_PATH}")
+    endif()
+
+    # Installing the executable
+    install(TARGETS surgescript.bin DESTINATION bin)
 endif()
-
-# Installation rules
-install(DIRECTORY src/ DESTINATION include FILES_MATCHING PATTERN "*.h")
-install(TARGETS surgescript DESTINATION lib)
-install(TARGETS surgescript.bin DESTINATION bin)

=== debian/changelog ===
surgescript (0.5.4.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * debian/rules: Pass -DCMAKE_SKIP_RPATH=ON to dh_auto_configure.
    (Closes: #992061)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 29 Dec 2022 13:18:46 -0800

surgescript (0.5.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Changed debian/clean.
  * debian/docs:
    + CHANGES.md file included.
  * debian/control:
    + Changed section to 'libs'.
    + Switch to debhelper-compat = 13.
    + Declare compliance with Debian Policy: 4.5.1.
    + Added new packages: libsurgescript0.5.4.4 and libsurgescript-dev.
  * Added d/libsurgescript0.5.4.4.install
  * Added d/libsurgescript-dev.install
  * Added d/surgescript.install
  * debian/rules:
    - Changed override_dh_auto_install.
    + Added DEB_CFLAGS_MAINT_APPEND and DEB_LDFLAGS_MAINT_APPEND.
    + Added override_dh_auto_configure.
    + Added override_dh_missing.

 -- Carlos Donizete Froes <coringao@riseup.net>  Thu, 10 Dec 2020 01:26:49 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: surgescript
-Section: games
+Section: libs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: cmake, debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: cmake, debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://docs.opensurge2d.org
 Vcs-Browser: https://salsa.debian.org/games-team/surgescript
 Vcs-Git: https://salsa.debian.org/games-team/surgescript.git
 
 Package: surgescript
+Section: games
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Scripting language for games
@@ -28,3 +29,50 @@
  .
  Some of the best practices have been incorporated into the language itself,
  making things really easy for developers and modders.
+
+Package: libsurgescript0.5.4.4
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Scripting language for games (library files)
+ Unleash your creativity! With SurgeScript, you unleash your creativity
+ and create your own amazing interactive content.
+ .
+ Unlike other programming languages, SurgeScript is designed with the specific
+ needs of games in mind.
+ .
+ Easy for beginners, powerful for experts. Object-oriented, dynamically typed
+ and based on state machines.
+ .
+ These features come from the experience of the developer dealing with
+ game engines, applications related to computer graphics and so on.
+ .
+ Some of the best practices have been incorporated into the language itself,
+ making things really easy for developers and modders.
+ .
+ This package contains shared runtime libraries.
+
+Package: libsurgescript-dev
+Section: libdevel
+Architecture: any
+Breaks: surgescript (<< 0.5.4.4)
+Replaces: surgescript (<< 0.5.4.4)
+Depends: libsurgescript0.5.4.4 (= ${binary:Version}), ${misc:Depends}
+Description: Scripting language for games (development files)
+ Unleash your creativity! With SurgeScript, you unleash your creativity
+ and create your own amazing interactive content.
+ .
+ Unlike other programming languages, SurgeScript is designed with the specific
+ needs of games in mind.
+ .
+ Easy for beginners, powerful for experts. Object-oriented, dynamically typed
+ and based on state machines.
+ .
+ These features come from the experience of the developer dealing with
+ game engines, applications related to computer graphics and so on.
+ .
+ Some of the best practices have been incorporated into the language itself,
+ making things really easy for developers and modders.
+ .
+ This package contains the header files and static library needed to
+ compile applications that use libsurgescript.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -pie

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# find empty directory for removal.
	find debian -type d -empty -delete -printf 'removed %p\n'

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DCMAKE_SKIP_RPATH=ON

override_dh_compress:
	dh_compress -X.ss

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%surgescript-$1.tar.gz%" \
   https://github.com/alemart/surgescript/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## surgescript 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,17 @@
 # ------------------------------------------------------------------------------
 # SurgeScript
 # A scripting language for games
-# Copyright 2016-2020 Alexandre Martins <alemartf(at)gmail(dot)com>
+# Copyright 2016-2021 Alexandre Martins <alemartf(at)gmail(dot)com>
 # ------------------------------------------------------------------------------
 
 # Project info
 cmake_minimum_required(VERSION 3.2)
 project(
     surgescript
-    VERSION 0.5.4.4
+    VERSION 0.5.5
     LANGUAGES C
 )
+set(PROJECT_YEARS "2016-2021")
 
 # Default config
 set(CMAKE_C_STANDARD 99)
@@ -27,15 +28,13 @@
 option(WANT_STATIC "Build SurgeScript as a static library" ON)
 option(WANT_EXECUTABLE "Build the surgescript executable" ON)
 set(LIB_SUFFIX "" CACHE STRING "Suffix to append to 'lib' directories, e.g., '64'") # libs must be installed to "lib64" in some systems
-set(PKGCONFIG_PATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig" CACHE PATH "Destination folder of the pkg-config (.pc) file")
+set(PKGCONFIG_PATH "lib${LIB_SUFFIX}/pkgconfig" CACHE PATH "Destination folder of the pkg-config (.pc) file")
 if(UNIX)
-    set(METAINFO_PATH "/usr/share/metainfo" CACHE PATH "Destination folder of the metainfo file")
-    set(ICON_PATH "/usr/share/pixmaps" CACHE PATH "Destination folder of the icon file")
-    file(TO_CMAKE_PATH "${ICON_PATH}/surgescript.png" ICON_FILEPATH)
+    set(METAINFO_PATH "share/metainfo" CACHE PATH "Destination folder of the metainfo file")
+    set(ICON_PATH "share/pixmaps" CACHE PATH "Destination folder of the icon file")
 endif()
 
 # Output folder
-set(CMAKE_BINARY_DIR ${CMAKE_SOURCE_DIR})
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
 set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})
 
@@ -75,11 +74,12 @@
     src/surgescript/runtime/tag_system.c
     src/surgescript/runtime/variable.c
     src/surgescript/runtime/vm.c
+    src/surgescript/runtime/vm_time.c
     src/surgescript/util/transform.c
     src/surgescript/util/utf8.c
     src/surgescript/util/util.c
     src/surgescript/util/xoroshiro128plus.c
-    ${CMAKE_CURRENT_BINARY_DIR}/info.c
+    ${CMAKE_BINARY_DIR}/src/surgescript/misc/info.c
 )
 
 # Headers
@@ -103,6 +103,7 @@
     src/surgescript/runtime/tag_system.h
     src/surgescript/runtime/variable.h
     src/surgescript/runtime/vm.h
+    src/surgescript/runtime/vm_time.h
     src/surgescript/util/fasthash.h
     src/surgescript/util/ssarray.h
     src/surgescript/util/transform.h
@@ -114,7 +115,7 @@
 
 # Generate files from templates
 function(generate_file TEMPLATE)
-    configure_file(src/surgescript/misc/${TEMPLATE}.in ${TEMPLATE} @ONLY)
+    configure_file(src/surgescript/${TEMPLATE}.in "${CMAKE_BINARY_DIR}/src/surgescript/${TEMPLATE}" @ONLY)
 endfunction()
 
 function(generate_pc_file LINKAGE)
@@ -123,23 +124,24 @@
         set(LIB_LINKAGE "-static")
     endif()
     configure_file(src/surgescript/misc/surgescript.pc.in "${LIBRARY_OUTPUT_PATH}/surgescript${LIB_LINKAGE}.pc" @ONLY)
-    install(FILES "${LIBRARY_OUTPUT_PATH}/surgescript${LIB_LINKAGE}.pc" DESTINATION "${PKGCONFIG_PATH}")
+    install(FILES "${LIBRARY_OUTPUT_PATH}/surgescript${LIB_LINKAGE}.pc" DESTINATION "${CMAKE_INSTALL_PREFIX}/${PKGCONFIG_PATH}")
 endfunction()
 
-generate_file("info.c")
+generate_file("misc/info.c")
+generate_file("util/version.h")
 
-
-# Library
+# Build the library
 if(NOT WANT_SHARED AND NOT WANT_STATIC)
     message(FATAL_ERROR "Options WANT_SHARED and WANT_STATIC are both set to OFF. Nothing to do.")
 endif()
 
 if(WANT_SHARED)
+    set(LIB_SOVERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}") # x.y.z: backwards compatibility
     message(STATUS "Will build libsurgescript")
     generate_pc_file("shared")
     add_library(surgescript SHARED ${SURGESCRIPT_SOURCES} ${SURGESCRIPT_HEADERS})
     target_link_libraries(surgescript m)
-    set_target_properties(surgescript PROPERTIES VERSION ${PROJECT_VERSION})
+    set_target_properties(surgescript PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${LIB_SOVERSION})
     install(TARGETS surgescript DESTINATION "lib${LIB_SUFFIX}")
 endif()
 
@@ -152,9 +154,11 @@
     install(TARGETS surgescript-static DESTINATION "lib${LIB_SUFFIX}")
 endif()
 
-install(DIRECTORY src/ DESTINATION include FILES_MATCHING PATTERN "*.h") # installing the headers
+# Install headers
+install(DIRECTORY src/ DESTINATION include FILES_MATCHING PATTERN "*.h")
+install(DIRECTORY "${CMAKE_BINARY_DIR}/src/" DESTINATION include FILES_MATCHING PATTERN "*.h")
 
-# Executable
+# Build the executable
 if(WANT_EXECUTABLE)
     # Set the appropriate lib
     set(LIBSURGESCRIPT "surgescript")
@@ -165,6 +169,7 @@
     # Create the executable
     message(STATUS "Will build surgescript")
     add_executable(surgescript.bin src/main.c)
+    include_directories("${CMAKE_BINARY_DIR}/src")
     target_link_libraries(surgescript.bin ${LIBSURGESCRIPT})
     target_include_directories(surgescript.bin PRIVATE src)
     set_target_properties(surgescript.bin PROPERTIES OUTPUT_NAME surgescript)
@@ -174,15 +179,16 @@
         if(NOT CMAKE_RC_COMPILER)
             set(CMAKE_RC_COMPILER windres)
         endif()
-        execute_process(COMMAND "${CMAKE_RC_COMPILER}" -O coff -o "${CMAKE_CURRENT_BINARY_DIR}/iconwin.res" -i "${CMAKE_SOURCE_DIR}/src/surgescript/misc/iconwin.rc" -I "${CMAKE_SOURCE_DIR}")
-        set_target_properties(surgescript.bin PROPERTIES LINK_FLAGS "-static-libgcc \"${CMAKE_CURRENT_BINARY_DIR}/iconwin.res\"")
+        execute_process(COMMAND "${CMAKE_RC_COMPILER}" -O coff -o "${CMAKE_BINARY_DIR}/iconwin.res" -i "${CMAKE_SOURCE_DIR}/src/surgescript/misc/iconwin.rc" -I "${CMAKE_SOURCE_DIR}")
+        set_target_properties(surgescript.bin PROPERTIES LINK_FLAGS "-static-libgcc \"${CMAKE_BINARY_DIR}/iconwin.res\"")
     endif()
 
     # *nix metadata & icon
     if(UNIX)
-        generate_file("surgescript.appdata.xml")
-        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/surgescript.appdata.xml DESTINATION "${METAINFO_PATH}")
-        install(FILES src/surgescript/misc/surgescript.png DESTINATION "${ICON_PATH}")
+        file(TO_CMAKE_PATH "${CMAKE_INSTALL_PREFIX}/${ICON_PATH}/surgescript.png" ICON_FILEPATH)
+        generate_file("misc/surgescript.appdata.xml")
+        install(FILES "${CMAKE_BINARY_DIR}/src/surgescript/misc/surgescript.appdata.xml" DESTINATION "${CMAKE_INSTALL_PREFIX}/${METAINFO_PATH}")
+        install(FILES src/surgescript/misc/surgescript.png DESTINATION "${CMAKE_INSTALL_PREFIX}/${ICON_PATH}")
     endif()
 
     # Installing the executable

=== debian/changelog ===
surgescript (0.5.5-1) experimental; urgency=medium

  [ Carlos Donizete Froes ]
  * New upstream release.
    + Added the ability to pause the SurgeScript VM.
    + Added utility macros for checking the SurgeScript version at compile time.
    + Introduced a dedicated module for keeping track of time.
    + Renamed Object.childCount to Object.__childCount.
    + Updated docs.
  * debian/copyright:
    + Copyright updated for current years (2021).
  * debian/control:
    + Changed versioned in "depends+breaks+replaces" to avoid version conflict.
  * Renamed for debian/libsurgescript0.5.5 file.
  * Updated debian/upstream/metadata years (2021).

  [ Tobias Frost ]
  * Team upload.
  * Upload to experimental.

 -- Carlos Donizete Froes <coringao@riseup.net>  Fri, 22 Jan 2021 22:51:14 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Vcs-Git: https://salsa.debian.org/games-team/surgescript.git
 
 Package: surgescript
-Section: games
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Scripting language for games
@@ -30,7 +29,7 @@
  Some of the best practices have been incorporated into the language itself,
  making things really easy for developers and modders.
 
-Package: libsurgescript0.5.4.4
+Package: libsurgescript0.5.5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -55,9 +54,9 @@
 Package: libsurgescript-dev
 Section: libdevel
 Architecture: any
-Breaks: surgescript (<< 0.5.4.4)
-Replaces: surgescript (<< 0.5.4.4)
-Depends: libsurgescript0.5.4.4 (= ${binary:Version}), ${misc:Depends}
+Breaks: surgescript (<< 0.5.5)
+Replaces: surgescript (<< 0.5.5)
+Depends: libsurgescript0.5.5 (= ${binary:Version}), ${misc:Depends}
 Description: Scripting language for games (development files)
  Unleash your creativity! With SurgeScript, you unleash your creativity
  and create your own amazing interactive content.

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
-		-DCMAKE_SKIP_RPATH=ON
+		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
 
 override_dh_compress:
 	dh_compress -X.ss

## surgescript 0.6.1

=== CMakeLists.txt ===
# ------------------------------------------------------------------------------
# SurgeScript
# A scripting language for games
# Copyright 2016-2024 Alexandre Martins <alemartf(at)gmail(dot)com>
# ------------------------------------------------------------------------------

# Project info
cmake_minimum_required(VERSION 3.2)
project(
    surgescript
    VERSION 0.6.1
    LANGUAGES C
)
include(GNUInstallDirs)
include(CheckLibraryExists)
set(PROJECT_YEARS "2016-2024")

# Default config
set(CMAKE_C_STANDARD 11)
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose the type of build: Debug | Release | MinSizeRel | RelWithDebInfo" FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

# User options
option(WANT_SHARED "Build SurgeScript as a shared library" ON)
option(WANT_STATIC "Build SurgeScript as a static library" ON)
option(WANT_EXECUTABLE "Build the SurgeScript CLI" ON)
option(WANT_EXECUTABLE_MULTITHREAD "Enable multithreading on the SurgeScript CLI" ON)
set(PKGCONFIG_PATH "pkgconfig" CACHE PATH "Destination folder of the pkg-config (.pc) file")
if(UNIX)
    set(METAINFO_PATH "metainfo" CACHE PATH "Destination folder of the metainfo file")
    set(ICON_PATH "pixmaps" CACHE PATH "Destination folder of the icon file")
endif()

# Library search
CHECK_LIBRARY_EXISTS(m sqrt "${CMAKE_SYSTEM_LIBRARY_PATH}" SURGESCRIPT_libm_EXISTS)
CHECK_LIBRARY_EXISTS(stdthreads thrd_create "${CMAKE_SYSTEM_LIBRARY_PATH}" SURGESCRIPT_libstdthreads_EXISTS)
CHECK_LIBRARY_EXISTS(pthread pthread_create "${CMAKE_SYSTEM_LIBRARY_PATH}" SURGESCRIPT_libpthread_EXISTS)

# Sources
set(
    SURGESCRIPT_SOURCES
    src/surgescript/compiler/asm.c
    src/surgescript/compiler/lexer.c
    src/surgescript/compiler/parser.c
    src/surgescript/compiler/symtable.c
    src/surgescript/compiler/token.c
    src/surgescript/runtime/heap.c
    src/surgescript/runtime/managed_string.c
    src/surgescript/runtime/object.c
    src/surgescript/runtime/object_manager.c
    src/surgescript/runtime/program.c
    src/surgescript/runtime/program_pool.c
    src/surgescript/runtime/renv.c
    src/surgescript/runtime/sslib/application.c
    src/surgescript/runtime/sslib/arguments.c
    src/surgescript/runtime/sslib/array.c
    src/surgescript/runtime/sslib/boolean.c
    src/surgescript/runtime/sslib/console.c
    src/surgescript/runtime/sslib/date.c
    src/surgescript/runtime/sslib/dictionary.c
    src/surgescript/runtime/sslib/gc.c
    src/surgescript/runtime/sslib/math.c
    src/surgescript/runtime/sslib/number.c
    src/surgescript/runtime/sslib/object.c
    src/surgescript/runtime/sslib/plugin.c
    src/surgescript/runtime/sslib/string.c
    src/surgescript/runtime/sslib/surgescript.c
    src/surgescript/runtime/sslib/system.c
    src/surgescript/runtime/sslib/tags.c
    src/surgescript/runtime/sslib/temp.c
    src/surgescript/runtime/sslib/time.c
    src/surgescript/runtime/stack.c
    src/surgescript/runtime/tag_system.c
    src/surgescript/runtime/variable.c
    src/surgescript/runtime/vm.c
    src/surgescript/runtime/vm_time.c
    src/surgescript/third_party/utf8.c
    src/surgescript/third_party/xoroshiro128plus.c
    src/surgescript/util/perfect_hash.c
    src/surgescript/util/transform.c
    src/surgescript/util/util.c
    ${CMAKE_BINARY_DIR}/src/surgescript/misc/info.c
)

# Headers
set(
    SURGESCRIPT_HEADERS
    src/surgescript/compiler/asm.h
    src/surgescript/compiler/lexer.h
    src/surgescript/compiler/nodecontext.h
    src/surgescript/compiler/parser.h
    src/surgescript/compiler/symtable.h
    src/surgescript/compiler/token.h
    src/surgescript/runtime/heap.h
    src/surgescript/runtime/managed_string.h
    src/surgescript/runtime/object.h
    src/surgescript/runtime/object_manager.h
    src/surgescript/runtime/program.h
    src/surgescript/runtime/program_operators.h
    src/surgescript/runtime/program_pool.h
    src/surgescript/runtime/renv.h
    src/surgescript/runtime/sslib/sslib.h
    src/surgescript/runtime/stack.h
    src/surgescript/runtime/tag_system.h
    src/surgescript/runtime/variable.h
    src/surgescript/runtime/vm.h
    src/surgescript/runtime/vm_time.h
    src/surgescript/third_party/gettimeofday.h
    src/surgescript/third_party/utf8.h
    src/surgescript/third_party/uthash.h
    src/surgescript/third_party/xxhash.h
    src/surgescript/util/fasthash.h
    src/surgescript/util/ssarray.h
    src/surgescript/util/perfect_hash.h
    src/surgescript/util/transform.h
    src/surgescript/util/util.h
    src/surgescript.h
)

# Output folder
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

# Generate files from templates
function(generate_file TEMPLATE)
    configure_file(src/surgescript/${TEMPLATE}.in "${CMAKE_BINARY_DIR}/src/surgescript/${TEMPLATE}" @ONLY)
endfunction()

function(generate_pc_file LINKAGE)
    set(LIB_LINKAGE "")
    if(LINKAGE STREQUAL "static")
        set(LIB_LINKAGE "-static")
    endif()
    configure_file(src/surgescript/misc/surgescript.pc.in "${LIBRARY_OUTPUT_PATH}/surgescript${LIB_LINKAGE}.pc" @ONLY)
    install(FILES "${LIBRARY_OUTPUT_PATH}/surgescript${LIB_LINKAGE}.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PKGCONFIG_PATH}")
endfunction()

generate_file("misc/info.c")
generate_file("util/version.h")

# Use relative paths in __FILE__
function(drop_compilation_paths TARGET)
    if(NOT MSVC)
        target_compile_options(${TARGET} PUBLIC "-ffile-prefix-map=${CMAKE_SOURCE_DIR}=.")
    endif()
endfunction()

# Build the library
if(NOT WANT_SHARED AND NOT WANT_STATIC)
    message(FATAL_ERROR "Options WANT_SHARED and WANT_STATIC are both set to OFF. Nothing to do.")
endif()

if(WANT_SHARED)
    set(LIB_SOVERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}") # x.y.z: backwards compatibility
    message(STATUS "Will build libsurgescript")
    generate_pc_file("shared")
    add_library(surgescript SHARED ${SURGESCRIPT_SOURCES} ${SURGESCRIPT_HEADERS})
    if (SURGESCRIPT_libm_EXISTS)
        target_link_libraries(surgescript m)
    endif()
    set_target_properties(surgescript PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${LIB_SOVERSION})
    drop_compilation_paths(surgescript)
endif()

if(WANT_STATIC)
    message(STATUS "Will build libsurgescript-static")
    generate_pc_file("static")
    add_library(surgescript-static STATIC ${SURGESCRIPT_SOURCES} ${SURGESCRIPT_HEADERS})
    if (SURGESCRIPT_libm_EXISTS)
        target_link_libraries(surgescript-static m)
    endif ()
    set_target_properties(surgescript-static PROPERTIES VERSION ${PROJECT_VERSION})
    drop_compilation_paths(surgescript-static)
endif()

# Install the headers
install(DIRECTORY src/ DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}" FILES_MATCHING PATTERN "*.h")
install(DIRECTORY "${CMAKE_BINARY_DIR}/src/" DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}" FILES_MATCHING PATTERN "*.h")

# Install the library
if(WANT_SHARED)
    install(TARGETS surgescript DESTINATION "${CMAKE_INSTALL_LIBDIR}")
endif()

if(WANT_STATIC)
    install(TARGETS surgescript-static DESTINATION "${CMAKE_INSTALL_LIBDIR}")
endif()

# Build the SurgeScript CLI
if(WANT_EXECUTABLE)
    message(STATUS "Will build the SurgeScript CLI")

    # Set the appropriate lib
    set(LIBSURGESCRIPT "surgescript")
    if(WANT_STATIC AND (NOT WANT_SHARED OR WIN32))
        set(LIBSURGESCRIPT "surgescript-static")
    endif()

    # Use multithreading?
    set(LIBTHREADS "")
    set(ENABLE_THREADS 0)
    if(WANT_EXECUTABLE_MULTITHREAD)

        # Header search
        find_path(THREADS_H NAMES "threads.h" PATHS "${CMAKE_INCLUDE_PATH}")
        if(NOT THREADS_H)
            message(WARNING "Can't find threads.h. Will not use multithreading on the SurgeScript CLI")
        else()
            message(STATUS "Will use multithreading on the SurgeScript CLI")
            set(ENABLE_THREADS 1)

            if(SURGESCRIPT_libstdthreads_EXISTS)
                set(LIBTHREADS "stdthreads")
            elseif(SURGESCRIPT_libpthread_EXISTS)
                set(LIBTHREADS "pthread")
            endif()
        endif()

    endif()

    # Create the executable
    add_executable(surgescript.bin src/main.c)
    include_directories("${CMAKE_BINARY_DIR}/src")
    target_compile_definitions(surgescript.bin PUBLIC ENABLE_THREADS=${ENABLE_THREADS})
    target_link_libraries(surgescript.bin ${LIBSURGESCRIPT} ${LIBTHREADS})
    target_include_directories(surgescript.bin PRIVATE src)
    set_target_properties(surgescript.bin PROPERTIES OUTPUT_NAME surgescript)
    drop_compilation_paths(surgescript.bin)

    # WebAssembly
    if(EMSCRIPTEN)
        target_link_options(surgescript.bin PRIVATE -Os --closure 1 -sMODULARIZE=1 -sMALLOC="emmalloc" -sEXPORTED_FUNCTIONS=["_main"]) # Reduce output size
    endif()

    # Windows icon
    if(WIN32 AND MINGW)
        if(NOT CMAKE_RC_COMPILER)
            set(CMAKE_RC_COMPILER windres)
        endif()
        execute_process(COMMAND "${CMAKE_RC_COMPILER}" -O coff -o "${CMAKE_BINARY_DIR}/iconwin.res" -i "${CMAKE_SOURCE_DIR}/src/surgescript/misc/iconwin.rc" -I "${CMAKE_SOURCE_DIR}")
        set_target_properties(surgescript.bin PROPERTIES LINK_FLAGS "-static-libgcc \"${CMAKE_BINARY_DIR}/iconwin.res\"")
    endif()

    # *nix metadata & icon
    if(UNIX)
        file(TO_CMAKE_PATH "${CMAKE_INSTALL_DATADIR}/${ICON_PATH}/surgescript.png" ICON_FILEPATH)
        generate_file("misc/surgescript.appdata.xml")
        install(FILES "${CMAKE_BINARY_DIR}/src/surgescript/misc/surgescript.appdata.xml" DESTINATION "${CMAKE_INSTALL_DATADIR}/${METAINFO_PATH}")
        install(FILES src/surgescript/misc/surgescript.png DESTINATION "${CMAKE_INSTALL_DATADIR}/${ICON_PATH}")
    endif()

    # Installing the executable
    install(TARGETS surgescript.bin DESTINATION "${CMAKE_INSTALL_BINDIR}")
endif()

=== debian/changelog ===
surgescript (0.6.1-1) unstable; urgency=medium

  * Team Upload
  * Do not explicity set PIE flag (Closes: ##1125661)
  * New upstream version 0.6.1
  * Refresh patch
  * Disable useless Salsa CI jobs
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Feb 2026 00:43:56 +0100

surgescript (0.5.4.4-2) unstable; urgency=medium

  * Team Upload
  * Patch for CMake4 (Closes: #1113551)
  * Apply Multi-Arch: hint
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 19 Nov 2025 16:09:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: surgescript
 Section: libs
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
+Uploaders:
+ Carlos Donizete Froes <coringao@riseup.net>,
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+Standards-Version: 4.7.3
 Homepage: https://docs.opensurge2d.org
 Vcs-Browser: https://salsa.debian.org/games-team/surgescript
 Vcs-Git: https://salsa.debian.org/games-team/surgescript.git
 
 Package: surgescript
+Section: games
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Scripting language for games
  Unleash your creativity! With SurgeScript, you unleash your creativity
  and create your own amazing interactive content.
@@ -29,10 +33,12 @@
  Some of the best practices have been incorporated into the language itself,
  making things really easy for developers and modders.
 
-Package: libsurgescript0.5.5
+Package: libsurgescript0.5.4.4
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Scripting language for games (library files)
  Unleash your creativity! With SurgeScript, you unleash your creativity
  and create your own amazing interactive content.
@@ -54,9 +60,14 @@
 Package: libsurgescript-dev
 Section: libdevel
 Architecture: any
-Breaks: surgescript (<< 0.5.5)
-Replaces: surgescript (<< 0.5.5)
-Depends: libsurgescript0.5.5 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Breaks:
+ surgescript (<< 0.5.4.4),
+Replaces:
+ surgescript (<< 0.5.4.4),
+Depends:
+ libsurgescript0.5.4.4 (= ${binary:Version}),
+ ${misc:Depends},
 Description: Scripting language for games (development files)
  Unleash your creativity! With SurgeScript, you unleash your creativity
  and create your own amazing interactive content.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND = -fPIE
#export DEB_LDFLAGS_MAINT_APPEND = -pie

%:
	dh $@

execute_after_dh_auto_install:
	# find empty directory for removal.
	find debian -type d -empty -delete -printf 'removed %p\n'

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DCMAKE_SKIP_RPATH=ON

override_dh_compress:
	dh_compress -X.ss

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
Version: 5

Template: GitHub
Owner: alemart
Project: surgescript
